Returns a list of agents that belong to the user.
GET
/v1/agents
Request Body
Les paramètres suivants peuvent être inclus dans le corps de la requête :
Paramètres
Successful Response
Les champs suivants sont retournés dans une réponse réussie :
Champs de réponse
object
string
Required
The object type, which is always "list".
data
array<Agent>
Required
The list of agents.
Examples
Exemples de code pour utiliser cet endpoint :
typescript
import { AlphaEdge } from '@alphaedge/alphaedge';
const alphaedge = new AlphaEdge({
apiKey: process.env.ALPHAEDGE_API_KEY,
});
const agents = await alphaedge.agents.list();
python
from alphaedge import AlphaEdge
alphaedge = AlphaEdge(api_key="your-api-key")
agents = alphaedge.agents.list()
curl
curl https://api.alphaedge-ai.com/v1/agents \
-H "Authorization: Bearer $ALPHAEDGE_API_KEY"
Response
Exemple de réponse de l'API :
json
{
"object": "list",
"data": [
{
"id": "agent-abc123",
"object": "agent",
"created": 1234567890,
"name": "My Agent"
}
]
}